

/***********************************************************************/
/* PROGRAM NAME   : local.h         * AUTHOR       : Harry Foxwell     */
/* SOURCE LANGUAGE: C (ISC)         * LAST REVISION: 9/1/83            */
/***********************************************************************/
/* DESCRIPTION: Definitions for inclusion in C programs listed in      */
/*              Learning to Program in C, by Thomas Plum, page 12.9    */
/*                                                                     */
/*                                                                     */
/***********************************************************************/
/* EXTERNAL CALLS/LINKS:            * INPUT  FILES: none               */
/*                                  *                                  */
/*           stdio.h                * OUTPUT FILES: none               */
/*                                  *                                  */
/***********************************************************************/

#ifndef FAIL

#include <stdio.h>

#define SUCCEED         0
#define FAIL            1

#define FOREVER         for (;;)

#define NO              0
#define YES             1

#define STDIN           0
#define STDOUT          1
#define STDERR          2

#define bits            ushort
#define bool            int
#define metachar        short
#define tbool           char
#define ushort          unsigned
#define void            int

#define getln(s,n)      ((fgets(s,n,stdin) == NULL) ? EOF : strlen(s))

#define ABS(x)          (((x) < 0) ? -(x) : (x))
#define MAX(x,y)        (((x) < (y)) ? (y) : (x))
#define MIN(x,y)        (((x) < (y)) ? (x) : (y))

#endif
/***********************************************************************/
IN(x,y)        (((x) < (y)) ? (x) : (y))

#endif
/*******************************************